%global modname narcissus.common

Name:               python-narcissus-common
Version:            0.9.0.1
Release:            1%{?dist}
Summary:            Common components for Narcissus, realtime log visualization

Group:              Development/Libraries
License:            AGPLv3+
URL:                http://pypi.python.org/pypi/narcissus.common
Source0:            http://pypi.python.org/packages/source/n/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-zmq
Requires:           python-zmq

%description
This package contains the commons components for narcissus.  Narcissus
is a web application that visualizes web server hits as they happen
in real time.

Features:

 * IP addresses converted to latitude/longitude, then streamed via
   WebSockets to `polymaps <http://polymaps.org/>`_. 
 * Realtime graphs of what countries are downloading what content
   with `d3 <http://d3js.org>`_.
 * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
 * **Fast**.  No polling.

You can see a demo running live at http://narcissus.rc.rit.edu
It is visualizing the logs of http://mirror.rit.edu

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

# Remove shebang from non-executable libraries
sed -i -e '1d' narcissus/common/amqp_log_sender.py
sed -i -e '1d' narcissus/common/zeromq_log_sender.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# We're not actually going to support this one.
rm %{buildroot}/%{_bindir}/narcissus-amqp-source

%files
%doc README.rst LICENSE
# This package actually owns the root narcissus directory
%{python_sitelib}/narcissus/
%{python_sitelib}/%{modname}-%{version}*
%{_bindir}/narcissus-zeromq-source

%changelog
* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 0.9.0.1-1
- Initial package for Fedora
